Ensuring Iceweasel updated on Lenny

New to Debian (Or Linux in general)? Ask your questions here!

Ensuring Iceweasel updated on Lenny

Postby secdroid » 2009-12-18 19:21

Debian newbie, but fairly experienced Linux user.

I'm used to checking the Firefox version with the Help/About. If I read the mozilla pages correctly, Firefox 3.0 is currently at 3.0.16. When I check Help/About on Iceweasel, I get 3.0.6.

When I looked at http://packages.debian.org/lenny/iceweasel, it appears that 3.0.6-3 is current.

Running the command,
Code: Select all
apt-cache policy
shows that my Installed is the same as Candidate for both Iceweasel and xulrunner --
Code: Select all
xulrunner-1.9:
  Installed: 1.9.0.16-1
iceweasel:
  Installed: 3.0.6-3

Therefore, I'm up-to-date per the Lenny repository, but I'm still confused about how I can verify that Iceweasel has security patches applied to make it current with the Firefox patches.

The Iceweasel changelog shows September 09 as the most recent update. In reading the forums, I found that security updates are usually done in xulrunner. The xulrunner-1.9 changelog link (http://packages.debian.org/changelogs/pool/main/x/xulrunner/xulrunner_1.9.0.16-1/changelog on page http://packages.debian.org/lenny/xulrunner-1.9) gives a 404 error.

Sorry if I missed something obvious here. Happy to RTFA if someone can give me a pointer. :?

*****

As an ex-Ubuntu 9.04 user, I have to say that I'm delighted to have switched. I find Lenny to be fast, stable, and completely configurable to my preferences. I just have to learn more about the "Debian way."
secdroid
 
Posts: 31
Joined: 2009-12-18 18:38

Re: Ensuring Iceweasel updated on Lenny

Postby bluesdog » 2009-12-19 00:17

I'd guess the changelog page is down. Try again in a couple of days.
Tips & Tricks

Something more to read while waiting

If you obviously have not read THIS, don't expect too much...




*winter bluesdog....*
User avatar
bluesdog
 
Posts: 2082
Joined: 2006-02-01 09:02
Location: Similkameen, British Columbia, Canada

Re: Ensuring Iceweasel updated on Lenny

Postby craigevil » 2009-12-19 01:00

Debian Sid KDE Kernel 3.17 Thinkpad R40 Intel M 1.3 CPU 2GB RAM Radeon Mobility 7500
Debian - "If you can't apt-get something, it isn't useful or doesn't exist"
Debian upgrade script smxi | sysinfo script inxi
User avatar
craigevil
 
Posts: 5192
Joined: 2006-09-17 03:17
Location: Oz

Re: Ensuring Iceweasel updated on Lenny

Postby bluesdog » 2009-12-19 02:35



craigevil, your link seems to 404 here! :lol:
Tips & Tricks

Something more to read while waiting

If you obviously have not read THIS, don't expect too much...




*winter bluesdog....*
User avatar
bluesdog
 
Posts: 2082
Joined: 2006-02-01 09:02
Location: Similkameen, British Columbia, Canada


Return to Beginners Questions

Who is online

Users browsing this forum: No registered users and 9 guests

fashionable